unit FileView;

interface

uses
{$IFDEF WIN32}
  Windows,
{$ELSE}
  WinTypes, WinProcs,
{$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Compress, Segment;

type
  TFileForm = class(TForm)
    GroupBox: TGroupBox;
    LB: TListBox;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure ShowFiles( const SArc: TSegArc );
  end;

var
  FileForm: TFileForm;

implementation

{$R *.DFM}

procedure TFileForm.ShowFiles( const SArc: TSegArc );
var
   i:     Integer;
begin
     LB.Clear;
     for i := 0 to SArc.SL.Count-1 do
       LB.Items.Add(SArc.SL[i]);
     GroupBox.Caption := SArc.Template;
     ShowModal;
end;

end.
